Bug 22254 - RFE: replace traceroute with the RIPE ('nikhef') traceroute
RFE: replace traceroute with the RIPE ('nikhef') traceroute
Product: Red Hat Linux
Classification: Retired
Component: traceroute (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Aaron Brown
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2000-12-13 12:23 EST by Daniel Roesen
Modified: 2015-03-04 20:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-05-27 15:42:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Daniel Roesen 2000-12-13 12:23:28 EST
The traceroute tool distributed by RIPE (also very well known as the
'nikhef' traceroute) has many advanced features over the traceroute
included with Red Hat. It even features AS lookups.

RPMs are available:

Comment 1 Pekka Savola 2000-12-29 18:12:53 EST
Traceroute is setuid root.  Current version is more widely used, and I dare say, 
better audited.  The privileges are dropped earlier.  It also seems that
nikhef traceroute isn't being too actively maintained.

I'm not sure if the switch is needed.

However, I'm all in for merging some features if someone cares enough to do the job.

It seems that there are following new (at least marginally useful) options in there:

       -A    Look  up  the AS-number (Autonomous System) for each
             hop's network address at the whois server  specified
             by the -h option.

       -a    If  the  destination  host  has  multiple addresses,
             traceroute will probe all addresses if  this  option
             is  set. Normally only the first address as returned
             by the resolver is attempted.

       -h server
             Specify  the  name or IP address of the whois server
             that will be contacted for the AS-number lookup,  if
             the -A option is given.

       -k    Keep the connection to the whois server  permanently
             open.  This will speedup lookups considerably, since
             otherwise a connection needs to be set up  for  each
             individual  lookup.  Unfortunately,  not  all  whois
             servers support this feature.

       -l    Print the value of the ttl field  in  each  received
             packet  (this  can be used to help detect asymmetric

       -Q maxquit
             Stop  probing  this  hop  after  maxquit consecutive
             timeouts are detected. The default value is 5.  Use-
             ful  in  combination with -S if you have specified a
             big nqueries probe count.

       -S    Print  a per-hop min/avg/max rtt statistics summary.
             This suppresses the per-probe rtt and ttl reporting.
             For  better  statistics  you  need  to  increase the
             default nqueries probe count. See also -Q.

AS related settings are neat but only useful for those that even know what they
are (<5%) or are acquainted with them (<1%).  :-)

This leaves -a, -l, -Q, -S. -Q looks very interesting, -l might also be rather useful.

Comment 2 Daniel Roesen 2001-05-27 15:42:09 EDT
New URL:

Comment 3 Phil Knirsch 2001-07-20 11:22:10 EDT
I think we'll stay with the current version for the mentioned reasons.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.